Sub account information
curl --request GET \
--url https://openapi.tcbs.com.vn/eros/v2/get-profile/by-username/{custodyCode} \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/eros/v2/get-profile/by-username/{custodyCode}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/eros/v2/get-profile/by-username/{custodyCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"basicInfo": {},
"bankSubAccounts": [
{}
],
"bankSubAccounts[].accountNo": "<string>",
"bankSubAccounts[].accountName": "<string>",
"bankSubAccounts[].bankCode": "<string>",
"bankSubAccounts[].accountType": "<string>",
"bankSubAccounts[].accountTypeName": "<string>",
"bankSubAccounts[].status": "<string>",
"bankSubAccounts[].isDefault": "<string>"
}API Reference
Sub account information
Get sub-account information.
GET
/
eros
/
v2
/
get-profile
/
by-username
/
{custodyCode}
Sub account information
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Custody account number, e.g. 105C334455.
Query Parameters
List of information to get, e.g. basicInfo,bankSubAccounts.
Response
200 - application/json
Successful response
Basic account information.
List of sub-accounts.
Sub-account number.
Account holder name.
Bank code (may be null).
Sub-account type: NORMAL, MARGIN, DERIVATIVE.
Sub-account type name.
Sub-account status.
Whether this is the default sub-account (Y/N).